updatePurchaseInvoice
WRITEUpdate purchase invoice.
POST /api/v1/invoicing/updatePurchaseInvoice
curl -X POST '<your-host>/api/v1/invoicing/updatePurchaseInvoice' \
-H 'Authorization: Bearer <api-key>' \
-H 'Content-Type: application/json' \
-d '{
"id": "string"
}'Response
{
"id": "string"
}Parameters
ParameterType
Input schema
schema
{
"type": "object",
"properties": {
"id": {
"type": "string"
},
"invoiceId": {
"type": "string"
},
"supplierId": {
"type": "string"
},
"supplierReference": {
"type": [
"string",
"null"
]
},
"paymentTermId": {
"type": [
"string",
"null"
]
},
"currencyCode": {
"type": "string"
},
"locationId": {
"type": "string"
},
"invoiceSupplierId": {
"type": [
"string",
"null"
]
},
"invoiceSupplierContactId": {
"type": [
"string",
"null"
]
},
"invoiceSupplierLocationId": {
"type": [
"string",
"null"
]
},
"dateIssued": {
"type": [
"string",
"null"
]
},
"dateDue": {
"type": [
"string",
"null"
]
},
"exchangeRate": {
"type": "number"
},
"exchangeRateUpdatedAt": {
"type": "string"
},
"customFields": {}
},
"required": [
"id"
]
}